<?php
include 'core/sys.php';
include 'core/func_smiles.php';
include 'core/func_time.php';
#include 'core/func_ip.php';
#include 'core/browser.php';
head('Меню');
if(isset($_GET['4iki'])){
mysql_query("UPDATE `set` SET `value`=`value`+1 WHERE `ind`=7");
}
$all_us = mysql_result(mysql_query("SELECT COUNT(id) FROM `users`"),0);
$count_online = mysql_result(mysql_query("SELECT COUNT(id) FROM `users` WHERE `time`+600 >'".time()."'"),0);
if($user['id']>0){
	if($_SERVER['REMOTE_ADDR'] != $user['ip']){
	mysql_query("UPDATE `users` SET `ip`='".protect($_SERVER['REMOTE_ADDR'])."' WHERE `id`='".$user['id']."'");
	}
	if($_SERVER['HTTP_USER_AGENT']  != $user['ua']){
	mysql_query("UPDATE `users` SET `ua`='".protect($_SERVER['HTTP_USER_AGENT'])."' WHERE `id`='".$user['id']."'");
	}
/* Определяем комнату */ 
/*$room_sql = mysql_query("SELECT * FROM `room` ORDER BY `id`");
while($row_room = mysql_fetch_assoc($room_sql)){
if($row_room['user_level2']>$user['level']) break;
}*/	

$in_loc =  mysql_fetch_assoc(mysql_query("SELECT * FROM `room` WHERE `id`='".$user['in_loc']."' LiMIT 1"));
/* --- */
if($user['admins']>0){
echo '<div class="name"><a href="admins.php">Админка</a><br>';
	$count_ref = mysql_result(mysql_query("SELECT COUNT(id) FROM `referal` WHERE `ok`='0'"),0);
	if($count_ref >0){
	echo '<a href="admins.php?refs">Рефералы </a>('.$count_ref.')<br>';
	}
echo '</div>';
}
/* Админка */

/* Бонус */
$day = 60*60*24;
$bonus_t = $user['bonus_time'] + $day;
if(time()>$bonus_t){
echo '<div class="row" id="center"> <img src="img/other/bonus.png"> <a href="bonus.php"><font color="orange">Получить бонус!</font></a></div>';
}
/* ---- */
/* Считаем */
$journal_u = mysql_result(mysql_query("SELECT COUNT(id) FROM `journal` WHERE `user_id`='".$user['id']."'"),0);
if($user['journal']>0){
$journal_new = '|<font color="orange">+'.$user['journal'].'</font>';
}else{
$journal_new = '';
}
$count_arena = mysql_result(mysql_query("SELECT COUNT(id) FROM `arena`"),0);
$chat_count = mysql_result(mysql_query("SELECT COUNT(id) FROM `chat`"),0);
$new_mess = '';
if($user['new_mess']>0){
$new_mess = '<span style="color: #88b775; font-weight: bold;font-size: 70%;">+'.$user['new_mess'].'</span>';
}
$news_count = mysql_result(mysql_query("SELECT COUNT(id) FROM `news`"),0);
/* ---- */
if($user['new_user']==1){
echo '<div class="row"><img src="img/other/npc/Shero.gif" alt=""> <b>Шеро</b><br>
Добро пожаловать  в Новую Эру <b>'.$user['login'].'</b> !<br>
Отправляйся в <a href="war.php?id='.$in_loc['id'].'">'.$in_loc['name'].'</a> и убей своего первого монстра!<br>
</div>';
}
if($user['reg_time']+(60*60*2) > time()){
$time_new_us = $user['reg_time']+(60*60*2)-time();
echo '<div id="ok">Действует аура <b>Способный ученик</b>.<br>
Добываемый опыт в бою увеличен на <b>50%</b><br>
Аура исчезнет через '.Sec2Time($time_new_us).'</div>';
}
if($news_count > 0){
$last_news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` ORDER BY `time` DESC LIMIT 1"));
	if(mb_strlen($last_news['text'])>150){
	$last_news['text']=mb_substr($last_news['text'],0,150).'<a href="news.php">...<a/>';
	}
echo '<div class="row">['.clock($last_news['time']).'] '.smile($last_news['text']).'<br>
<a href="news.php">все вести</a>('.$news_count.')</div>';
}

echo '<div class="row">Вы: <a href="my.php"><b>'.$user['login'].'</b></a><span style="float: right;">[<a href="sign.php?exit">выход</a>]</span><br> 
<img src="img/icon/loc.png"> Локация: <a href="war.php?id='.$in_loc['id'].'">'.$in_loc['name'].'</a> [в бой!]<br>';
	if($set['ivent_sneg']>0){
	echo '<img src="img/icon/sneg.png"><a href="sneg.php">Эвент Новый год</a><br>';
	}
echo '<img src="img/icon/arena.png"><a href="arena.php">Арена</a>('.$count_arena.')<br>
<img src="img/icon/shop.png"><a href="shop.php">Магазин</a><br>
<img src="img/icon/inventory.png"><a href="inventory.php">Инвентарь</a><br>
<img src="img/icon/chat.png"><a href="chat.php">Мини-чат</a>('.$chat_count.')<br>
<img src="img/icon/mail.png"><a href="mail.php">Почта</a>'.$new_mess.'<br>
<img src="img/icon/journal.png"><a href="journal.php">Журнал</a>('.$journal_u.''.$journal_new.')<br>
<img src="img/icon/clan.png"><a href="clan.php">Кланы</a><br>
<img src="img/icon/lab.png"><a href="lab.php?my">Лаборатории</a><br>
<img src="img/icon/shtab.png"><a href="shtab.php">Штаб</a><br>
<img src="img/icon/rubin.png"><a href="https://secure.xsolla.com/paystation2/?marketplace=mobile&project=11457&v1='.$user['id'].'&v2=&v3=&out=&currency=RUB&phone=&hidden=&local=ru&country=RU&theme=115">Купить</a><img src="img/money/rubin.png"><br>
<img src="img/icon/faq.png"><a href="faq.php">База знаний</a><br>
<img src="img/icon/al_us.png"><a href="all_us.php">Игроки</a>('.$all_us.'|<font color="green">'.$count_online.'</font>)<br>
</div>';

echo '<div class="name" style="padding: 0;">';
// - Место для баннеров, рекламы.
echo '</div>';
}else{
require_once 'core/online_guest.php'; 
$guest_online = mysql_result(mysql_query("SELECT COUNT(id) FROM `online` WHERE `time`+600 >'".time()."'"),0);
echo '<div class="title"><center>Добро пожаловать в игру <b>Новая Эра</b></center></div>
<div class="row">
<img src="img/other/npc/Lozit.gif" style="float: left; margin-right: 4px;"> Настало время больших перемен. Вот уже как 2 века монстры сдерживают людей в рабстве.  В мир пришла Тень и окутала все. После многих научных исследований появились одаренные с невероятной силой и возможностью противостоять даже демонам. Возможно ты один из них?<br><br>
<center>
<form action="sign.php" method="get">
Логин:<br />
<input name="login" type="text" /><br />
Пароль:<br />
<input name="pass" type="pass" /><br />
<input type="submit" value="Авторизация" />
</form>
Игроки ('.$all_us.'|<font color="green">'.$count_online.'</font>)<br>
Гости: <font color="green">'.$guest_online.'</font>

</center></div><div class="text"><img src="img/ico.png"><a href="signup.php">Регистрация</a></div>';
echo '<div class="name" style="padding: 0;">';
// - Место для баннеров, рекламы.
echo '</div>';
}

foot();
?>